singleton Material(realism_tree1_tree31)
{
   mapTo = "tree31";
  translucentBlendOp = "None";
   diffuseMap[0] = "mods/realism_mod/forester/Horse_Chestnut_TP01_diffuse.dds";
  doubleSided = "1";
  alphaTest = "1";
  alphaRef = "140";
  translucent = "1";
   materialTag0 = "ForestArt";
   normalMap[0] = "mods/realism_mod/forester/Horse_Chestnut_TP01_nm.dds";
   specularPower[0] = "11";
   specularMap[0] = "mods/realism_mod/forester/Horse_Chestnut_TP01_diffuse.dds";
   showFootprints = "0";
   diffuseColor[0] = "1 0.95 0.9 1";
   specularStrength[0] = "0.3";
   materialTag1 = "Vegetation";
};

singleton Material(realism_tree1_tree42)
{
   mapTo = "tree42";
   diffuseMap[0] = "mods/realism_mod/forester/Rugged_Bark_TP013_diffusex2.dds";
  doubleSided = "0";
   materialTag0 = "ForestArt";
   normalMap[0] = "mods/realism_mod/forester/Rugged_Bark_TP013_nmx2.dds";
   specularPower[0] = "28";
   specularMap[0] = "mods/realism_mod/forester/Rugged_Bark_TP013_diffusex2.dds";
   showFootprints = "0";
   useAnisotropic[0] = "1";
   specularStrength[0] = "0.5";
   materialTag1 = "Vegetation";
};

if(!isObject(tree_facade))
singleton Material(tree_facade)
{
   mapTo = "tree_facade";
   diffuseMap[0] = "./realism_tree1_facade.dds";
   normalMap[0] = "./realism_tree1_facade_nm.dds";
   specularPower[0] = "48";
   specularMap[0] = "./realism_tree1_facade.dds";
   alphaTest = "1";
   alphaRef = "124";
   showFootprints = "0";
   diffuseColor[0] = "0.9 0.85 0.7 1";
   specularPower[0] = "48";
   useAnisotropic[0] = "0";
   materialTag0 = "ForestArt";
   doubleSided = "0";
   castShadows = "0";
   specularStrength[0] = "0.2";
};

singleton Material(canopytree_bark_lodhi_material)
{
	mapTo = "canopytree_bark_lodhi";

	diffuseMap[0] = "./canopytree_bark_diffuse.dds";
	normalMap[0] = "./canopytree_bark_normal.dds";
	specularMap[0] = "./canopytree_bark_diffuse.dds";

	diffuseColor[0] = "1 1 1 1";
	specular[0] = "0.9 0.9 0.9 1";
	specularPower[0] = "18";
	pixelSpecular[0] = 0;
	emissive[0] = false;

	doubleSided = false;
	translucent = false;
	translucentBlendOp = "None";

   materialTag0 = "Canopy";
   materialTag1 = "Vegetation";
   showFootprints = "0";
};

singleton Material(canopytree_extras_lodhi_material)
{
	mapTo = "canopytree_extras_lodhi";

	diffuseMap[0] = "mods/realism_mod/forester/canopytree_extras_diffuse_transparency.dds";
	normalMap[0] = "mods/realism_mod/forester/canopytree_extras_normal.dds";
	specularMap[0] = "mods/realism_mod/forester/canopytree_extras_diffuse_transparency.dds";

	diffuseColor[0] = "1 1 1 1";
	specular[0] = "0.9 0.9 0.9 1";
	specularPower[0] = "28";
	pixelSpecular[0] = 0;
	emissive[0] = false;

	doubleSided = false;
	translucent = false;
	translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "26";

   materialTag0 = "Canopy";
   materialTag1 = "Vegetation";
   specularStrength[0] = "0.3";
};

singleton Material(canopytree_lodlo_material)
{
	mapTo = "canopytree_lodlo";

	diffuseMap[0] = "mods/realism_mod/forester/canopytree_diffuse_transparency.dds";
	normalMap[0] = "mods/realism_mod/forester/canopytree_normal.dds";
	specularMap[0] = "mods/realism_mod/forester/canopytree_diffuse_transparency.dds";

	diffuseColor[0] = "1 1 1 1";
	specular[0] = "0.9 0.9 0.9 1";
	specularPower[0] = "18";
	pixelSpecular[0] = 0;
	emissive[0] = false;

	doubleSided = false;
	translucent = false;
	translucentBlendOp = "None";

   materialTag0 = "Canopy";
   materialTag1 = "Vegetation";
   showFootprints = "0";
   specularStrength[0] = "0.5";
   alphaTest = "1";
   alphaRef = "90";
};

singleton Material(canopytree_fronds_lodhi_material)
{
	mapTo = "canopytree_fronds_lodhi";

	diffuseMap[0] = "mods/realism_mod/forester/canopytree_fronds_diffuse_transparency.dds";
	normalMap[0] = "mods/realism_mod/forester/canopytree_fronds_normal.dds";
	specularMap[0] = "mods/realism_mod/forester/canopytree_fronds_diffuse_transparency.dds";

	diffuseColor[0] = "1 1 1 1";
	specular[0] = "0.9 0.9 0.9 1";
	specularPower[0] = "18";
	pixelSpecular[0] = 0;
	emissive[0] = false;

	doubleSided = false;
	translucent = false;
	translucentBlendOp = "None";
   alphaRef = "90";

   materialTag0 = "Canopy";
   materialTag1 = "Vegetation";
   showFootprints = "0";
   alphaTest = "1";
   specularStrength[0] = "0.5";
};

singleton Material(Plant001_LargeLeaf01)
{
   mapTo = "LargeLeaf01";
   diffuseMap[0] = "./LargeLeaf_DIF_512.dds";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "38";
   translucentBlendOp = "LerpAlpha";
   useAnisotropic[0] = "0";
   subSurface[0] = "0";
   subSurfaceColor[0] = "0.529412 0.580392 0.0313726 1";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "30";
   normalMap[0] = "./LargeLeaf_NRM_5.dds";
   specularMap[0] = "./LargeLeaf_DIF_512.dds";
   diffuseColor[0] = "1 1 1 1";
   showFootprints = "0";
   specularStrength[0] = "0.2";
};

singleton Material(DTSSequia_Dead01)
{
   mapTo = "Dead01";
   diffuseMap[0] = "./DeadBranch01.dds";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "10";
   translucentBlendOp = "None";
   useAnisotropic[0] = "1";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "40";
   showFootprints = "0";
   materialTag0 = "Miscellaneous";
};

singleton Material(Win_Sequia01_TallPineNeed_Win)
{
   mapTo = "TallPineNeed-Win";
   diffuseMap[0] = "mods/realism_mod/forester/Pine_Snow_diffuse.dds";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "1";
   translucentBlendOp = "None";
   normalMap[0] = "mods/realism_mod/forester/Pine_Snow_nm.dds";
   specularMap[0] = "mods/realism_mod/forester/Pine_Snow_diffuse.dds";
   useAnisotropic[0] = "1";
   subSurface[0] = "1";
   subSurfaceColor[0] = "0.996078 0.992157 0.992157 1";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "120";
   subSurfaceRolloff[0] = "0.4";
   showFootprints = "0";
   materialTag0 = "Miscellaneous";
   specularStrength[0] = "0.2";
};

singleton Material(TallPine01_TallPineBark)
{
	mapTo = "TallPineBark";

	diffuseMap[0] = "./SequiaBark_diffuse.dds";
	normalMap[0] = "./SequiaBark_nm.dds";

	diffuseColor[0] = "1 1 1 1";
	specular[0] = "1 1 1 1";
	specularPower[0] = "18";

	doubleSided = "0";
	translucent = false;
	translucentBlendOp = "None";
   pixelSpecular[0] = "0";
   useAnisotropic[0] = "0";
   showFootprints = "0";
   specularMap[0] = "./SequiaBark_diffuse.dds";
   materialTag0 = "Miscellaneous";
};

singleton Material(collision_mat)
{
   mapTo = "ColorEffectR153G228B153-material";
   diffuseColor[0] = "0.5 0.5 1 1";
   materialTag0 = "Canopy";
   materialTag1 = "Vegetation";
};

singleton Material(Brush_Winter_NoLeaf01_Win)
{
   mapTo = "NoLeaf01_Win";
   diffuseMap[0] = "./Win_Shrub2_diffuse.dds";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "8";
   translucentBlendOp = "None";
   useAnisotropic[0] = "0";
   subSurface[0] = "0";
   subSurfaceColor[0] = "0.941177 0.933333 0.933333 1";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "30";
   normalMap[0] = "./Win_Shrub_nm.dds";
   specularMap[0] = "./Win_Shrub2_diffuse.dds";
   showFootprints = "0";
   specularStrength[0] = "0.2";
};
