//============================================
// forestEditor objects
//============================================

if(!isObject(yorks_tree1_temp))
datablock TSForestItemData(yorks_tree1_temp)
{
   internalName = "yorks_tree1_temp";
   shapeFile = "./forester/realism_tree1.dts";
   windScale = "1";
   trunkBendScale = "0.001";
   branchAmp = "0.1";
   detailAmp = "0.2";
   detailFreq = "0.1";
};

if(!isObject(hedge1))
datablock TSForestItemData(hedge1)
{
   internalName = "hedge1";
   shapeFile = "./forester/hedge_realism.dts";
   windScale = "1";
   branchAmp = "0.1";
   detailAmp = "0.2";
   detailFreq = "0.05";
};

if(!isObject(hedge1medium_collada))
datablock TSForestItemData(hedge1medium_collada)
{
   internalName = "hedge1medium_collada";
   shapeFile = "./forester/hedge_mid_realism.dts";
   windScale = "1";
   branchAmp = "0.1";
   detailAmp = "0.1";
   detailFreq = "0.05";
};

if(!isObject(hedge1long_collada))
datablock TSForestItemData(hedge1long_collada)
{
   internalName = "hedge1long_collada";
   shapeFile = "./forester/hedge_long_realism.dts";
   windScale = "1";
   branchAmp = "0.1";
   detailAmp = "0.1";
   detailFreq = "0.05";
};

if(!isObject(yorks_new_tree2_collada_redux))
datablock TSForestItemData(yorks_new_tree2_collada_redux)
{
   internalName = "yorks_new_tree2_collada_redux";
   //shapeFile = "./forester/Win_Sequia01.dts";
   shapeFile = "./forester/winter_pine.dts";
   windScale = "1";
   branchAmp = "0.1";
   detailAmp = "0.1";
   detailFreq = "0.05";
   radius = "5";
};

if(!isObject(rock1_mountain))
datablock TSForestItemData(rock1_mountain)
{
   internalName = "rock1_mountain";
   shapeFile = "./rocks/rock1_realism1.dts";
};

if(!isObject(rock2_mountain))
datablock TSForestItemData(rock2_mountain)
{
   internalName = "rock2_mountain";
   shapeFile = "./rocks/rock2_realism3.dts";
};

if(!isObject(rock2_arid))
datablock TSForestItemData(rock2_arid)
{
   internalName = "rock2_arid";
   shapeFile = "./rocks/rock2_realism2.dts";
};

if(!isObject(rock1_arid))
datablock TSForestItemData(rock1_arid)
{
   internalName = "rock1_arid";
   shapeFile = "./rocks/rock1_realism3.dts";
};
if(!isObject(rock1_jungle))
datablock TSForestItemData(rock1_jungle)
{
   internalName = "rock1_jungle";
   shapeFile = "./rocks/rock1_realism2.dts";
};

if(!isObject(rock2_jungle))
datablock TSForestItemData(rock2_jungle)
{
   internalName = "rock2_jungle";
   shapeFile = "./rocks/rock2_realism1.dts";
};

if(!isObject(yorks_new_tree3_collada_redux))
datablock TSForestItemData(yorks_new_tree3_collada_redux)
{
   internalName = "yorks_new_tree3_collada_redux";
   shapeFile = "./forester/realism_tree_tropic.dts";
   radius = "5";
   windScale = "1";
   branchAmp = "0.1";
   detailAmp = "0.1";
   detailFreq = "0.05";
};

if(!isObject(bush1_jungle))
datablock TSForestItemData(bush1_jungle)
{
   internalName = "bush1_jungle";
   shapeFile = "./forester/Plant001.dts";
};

if(!isObject(hedgewall1))
datablock TSForestItemData(hedgewall1)
{
   internalName = "hedgewall1";
   shapeFile = "./forester/hedgewall_realism.dts";
   windScale = "1";
   branchAmp = "0.1";
   detailAmp = "0.1";
   detailFreq = "0.1";
};

if(!isObject(hedgewall1_nocol))
datablock TSForestItemData(hedgewall1_nocol)
{
   internalName = "hedgewall1_nocol";
   shapeFile = "./forester/hedgewall_realism_nocol.dts";
   collidable = "0";
   windScale = "1";
   branchAmp = "0.1";
   detailAmp = "0.1";
   detailFreq = "0.1";
};

//============================================
// skies
//============================================

singleton CubemapData( bluesky1_Cubemap )
{
   cubeFace[0] = "./skies/clear1_1";
   cubeFace[1] = "./skies/clear1_4";
   cubeFace[2] = "./skies/clear1_2";
   cubeFace[3] = "./skies/clear1_3";
   cubeFace[4] = "./skies/clear1_5";
   cubeFace[5] = "./skies/clear1_6";
};
/*
singleton Material(bluesky1_SkyMat )
{
   cubemap = bluesky1_Cubemap;
   materialTag0 = "Sky";
};
*/
singleton CubemapData(cloudy_Cubemap)
{
   cubeFace[0] = "./skies/clouds1_1";
   cubeFace[1] = "./skies/clouds1_4";
   cubeFace[2] = "./skies/clouds1_2";
   cubeFace[3] = "./skies/clouds1_3";
   cubeFace[4] = "./skies/clouds1_5";
   cubeFace[5] = "./skies/clouds1_6";
};
/*
singleton Material(cloudy_SkyMat)
{
   cubemap = cloudy_Cubemap;
   materialTag0 = "Sky";
};
*/
singleton CubemapData(storm_Cubemap)
{
/*
   cubeFace[0] = "./skies/stormy1_1";
   cubeFace[1] = "./skies/stormy1_4";
   cubeFace[2] = "./skies/stormy1_2";
   cubeFace[3] = "./skies/stormy1_3";
   cubeFace[4] = "./skies/stormy1_5";
   cubeFace[5] = "./skies/stormy1_6";
   */
   cubeFace[0] = "./skies/skybox_1";
   cubeFace[1] = "./skies/skybox_2";
   cubeFace[2] = "./skies/skybox_3";
   cubeFace[3] = "./skies/skybox_4";
   cubeFace[4] = "./skies/skybox_5";
   cubeFace[5] = "./skies/skybox_6";
};
/*
singleton Material(storm_SkyMat)
{
   cubemap = storm_Cubemap;
   materialTag0 = "Sky";
};
*/
//night remains the same cubemap

//============================================
// terrain textures
//============================================

//if(!isObject("realism_snow"))
new TerrainMaterial("realism_snow")
{
   diffuseMap = "./terrain/snow_realism_dif";
   normalMap = "./terrain/snow_realism_nm";
   detailMap = "./terrain/snow_realism_detail";
   internalName = "realism_snow";
   detailSize = "10";
   detailStrength = "0.5";
   detailDistance = "150";
   diffuseSize = "200";
   parallaxScale = "0.03";
};

//if(!isObject("realism_arid"))
new TerrainMaterial("realism_arid")
{
   diffuseMap = "environment/terrains/yorks/pangea_arid_dds";
   normalMap = "environment/terrains/yorks/terrain_mud_p3_nm_dds";
   detailMap = "environment/terrains/yorks/terrain_mud_detail_dds";
   detailSize = "15";
   detailDistance = "200";
   internalName = "realism_arid";
   detailStrength = "0.5";
};

//if(!isObject("realism_sand"))
new TerrainMaterial("realism_sand")
{
   diffuseMap = "./terrain/dirtyandmix_base_moresat";
   detailDistance = "200";
   internalName = "realism_sand";
   detailSize = "8";
   detailStrength = "1";
   normalMap = "./terrain/dirtsandmix_nrm";
   detailMap = "./terrain/dirtsandmix_detail";
   parallaxScale = "0.03";
   diffuseSize = "100";
};


//if(!isObject("realism_mud_snow"))
new TerrainMaterial("realism_mud_snow")
{
   diffuseMap = "./terrain/snow_rocks_dif";
   diffuseSize = "100";
   detailMap = "./terrain/snow_rocks_detail";
   detailStrength = "0.5";
   detailDistance = "200";
   parallaxScale = "0.05";
   detailSize = "8";
   normalMap = "./terrain/snow_rocks_nm";
   internalName = "realism_mud_snow";
};


//if(!isObject("realism_grass_jungle"))
new TerrainMaterial(realism_grass_jungle)
{
   diffuseMap = "./terrain/grass_tropic";
   diffuseSize = "100";
   normalMap = "./terrain/rockygroundwithgrass_normal_displacement";
   detailMap = "./terrain/rocky_jungle_grass_detail";
   detailSize = "20";
   detailStrength = "0.3";
   detailDistance = "150";
   parallaxScale = "0.01";
   internalName = "realism_grass_jungle";
};

//if(!isObject("realism_dirt_detailed_soft"))
new TerrainMaterial(realism_dirt_detailed_soft)
{
   diffuseMap = "./terrain/gravel_blur_lowsat";
   diffuseSize = "100";
   detailStrength = "0.6";
   detailDistance = "150";
   internalName = "realism_dirt_detailed_soft";
   detailMap = "./terrain/dryground_detail_20lt";
   parallaxScale = "0.03";
   detailSize = "8";
   normalMap = "./terrain/dryground_5channel_nm";
};

//if(!isObject("realism_grass_green"))
new TerrainMaterial(realism_grass_green)
{
   diffuseMap = "./terrain/grass_mix";
   diffuseSize = "100";
   detailSize = "3";
   detailStrength = "0.5";
   detailDistance = "80";
   internalName = "realism_grass_green";
   parallaxScale = "0.1";
   macroSize = "10";
   macroStrength = "5";
   detailMap = "./terrain/flowers";
   normalMap = "./terrain/flowers_par_nm";
};

//if(!isObject("realism_impass"))
new TerrainMaterial(realism_impass)
{
   diffuseMap = "./terrain/grayrock_detail";
   detailSize = "10";
   internalName = "realism_impass";
   detailDistance = "400";
   diffuseSize = "130";
   detailStrength = "0.8";
   useSideProjection = "0";
   parallaxScale = "0.05";
   detailMap = "./terrain/grayrock_detail";
   normalMap = "./terrain/grayrock_normal_specular";
};

//if(!isObject("realism_mud"))
new TerrainMaterial(realism_mud)
{
   diffuseMap = "./terrain/mud_blur3";
   diffuseSize = "100";
   detailMap = "./terrain/rockygroundwithgrass_detail";
   detailStrength = "0.7";
   detailDistance = "200";
   internalName = "realism_mud";
   parallaxScale = "0.03";
   detailSize = "8";
   normalMap = "./terrain/rockygroundwithgrass_normal_displacement";
};

//if(!isObject("realism_cobbles"))
new TerrainMaterial("realism_cobbles")
{
   diffuseMap = "./terrain/cobble_diffuse";
   detailSize = "10";
   detailStrength = "0.8";
   detailDistance = "100";
   internalName = "realism_cobbles";
   diffuseSize = "100";
   detailMap = "./terrain/cobble_diffuse";
   normalMap = "./terrain/cobble_nm";
   parallaxScale = "0.03";
};

//============================================
// foliage trees and grass
//============================================

singleton Material(hedge_realism_hedge_real)
{
   mapTo = "hedge_real";
   diffuseMap[0] = "./forester/hedge_real";
   specular[0] = "1 1 1 1";
   specularPower[0] = "8";
   translucentBlendOp = "None";
   normalMap[0] = "./forester/hedge_real_nm.dds";
   specularMap[0] = "./forester/hedge_real.dds";
   doubleSided = "1";
   alphaTest = "1";
   alphaRef = "120";
   showFootprints = "0";
   specularStrength[0] = "0.3";
};

if(!isObject(yorks_grass))
singleton Material(yorks_grass)
{
	mapTo = "yorks_grass";

	diffuseMap[0] = "./forester/grass_realism2.dds";

	diffuseColor[0] = "1 1 1 1";
	specular[0] = "1 1 1 1";
	specularPower[0] = "28";

	doubleSided = "1";
	translucent = false;
	translucentBlendOp = "None";
	
	materialTag0 = "GroundCover";
   alphaTest = "1";
   alphaRef = "80";
   showFootprints = "0";
   castShadows = "0";
   useAnisotropic[0] = "0";
   translucentZWrite = "0";
   specularMap[0] = "./forester/grass_realism2.dds";
   specularStrength[0] = "0.2";
};
