//-----------------------------------------------------------------------------
// www.yorkshirerifles.com
//-----------------------------------------------------------------------------

//urban textures
if(!isObject(concrete))
singleton Material(concrete)
{
   mapTo = "concrete";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "mods/realism_mod/objects/concrete_diffuse.dds";
   specularPower[0] = "18";
   useAnisotropic[0] = "0";
   doubleSided = "0";
   showFootprints = "0";
   materialTag0 = "Urban";
   emissive[0] = "0";
   normalMap[0] = "mods/realism_mod/objects/concrete_normal.dds";
   pixelSpecular[0] = "0";
   specularMap[0] = "mods/realism_mod/objects/concrete_diffuse.dds";
   detailScale[0] = "1 1";
   detailNormalMap[0] = "mods/realism_mod/objects/concrete_normal.dds";
   detailNormalMapStrength[0] = "2";
   specularStrength[0] = "0.3";
};

if(!isObject(tiled_floor))
singleton Material(tiled_floor)
{
   mapTo = "tiled_floor";
   diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "mods/realism_mod/objects/tiles_002.dds";
   specularPower[0] = "18";
   useAnisotropic[0] = "1";
   doubleSided = "0";
   showFootprints = "0";
   materialTag0 = "Urban";
   emissive[0] = "0";
   normalMap[0] = "mods/realism_mod/objects/tiles_002_normals.dds";
   specularMap[0] = "mods/realism_mod/objects/tiles_002.dds";
   detailScale[0] = "1 1";
   detailNormalMap[0] = "mods/realism_mod/objects/tiles_002_normals.dds";
   specularStrength[0] = "0.3";
};

if(!isObject(brick_rough))
singleton Material(brick_rough)
{
   mapTo = "brick_rough";
   diffuseMap[0] = "mods/realism_mod/objects/brick_002_diffuse.dds";
   normalMap[0] = "mods/realism_mod/objects/brick_002_normal.dds";
   specularPower[0] = "8";
   specularMap[0] = "mods/realism_mod/objects/brick_002_diffuse.dds";
   showFootprints = "0";
   materialTag0 = "Urban";
   diffuseColor[0] = "1 1 1 1";
   useAnisotropic[0] = "1";
   detailScale[0] = "1 1";
   detailNormalMap[0] = "mods/realism_mod/objects/brick_002_normal.dds";
   detailNormalMapStrength[0] = "2";
   specularStrength[0] = "0.3";
};

if(!isObject(window))
singleton Material(window)
{
   mapTo = "window";
   diffuseMap[0] = "./window_diffuse256.dds";
   specularPower[0] = "8";
   showFootprints = "0";
   materialTag0 = "Urban";
   diffuseColor[0] = "1 1 1 1";
   useAnisotropic[0] = "0";
   pixelSpecular[0] = "0";
   normalMap[0] = "./windows_nm256.dds";
   specularMap[0] = "./windows_spec256.dds";
   glow[0] = "0";
   specularStrength[0] = "1.0";
};

if(!isObject(brick_wall))
singleton Material(brick_wall)
{
   mapTo = "brick_wall";
   diffuseMap[0] = "mods/realism_mod/objects/roof_diffuse.dds";
   materialTag0 = "Urban";
   diffuseColor[0] = "1 0.7 0.6 1";
   normalMap[0] = "mods/realism_mod/objects/roof_normal_parallax.dds";
   specularPower[0] = "18";
   specularMap[0] = "mods/realism_mod/objects/roof_specular.dds";
   useAnisotropic[0] = "1";
   detailScale[0] = "8 8";
   detailMap[0] = "mods/realism_mod/objects/roof_detail.dds";
   detailNormalMap[0] = "mods/realism_mod/objects/roof_normal_parallax.dds";
   detailNormalMapStrength[0] = "4";
   specularStrength[0] = "0.3";
};

if(!isObject(urban_mega))
singleton Material(urban_mega)
{
   mapTo = "urban_mega";
   diffuseMap[0] = "./urban_mega_realism.dds";
   specularPower[0] = "18";
   pixelSpecular[0] = "0";
   materialTag0 = "Urban";
};

if(!isObject(urban_facade))
singleton Material(urban_facade)
{
   mapTo = "urban_facade";
   diffuseMap[0] = "./urban_facade_realism.dds";
   specularPower[0] = "18";
   pixelSpecular[0] = "0";
   materialTag0 = "Urban";
};
